%define plugin check_updates
%define nagiospluginsdir %{_libdir}/nagios/plugins

# No binaries in this package
%define debug_package %{nil}

Name:          nagios-plugins-check-updates
Version:       1.6.23
Release:       10.1
Summary:       A Nagios plugin to check if Red Hat or Fedora system is up-to-date

Group:         Applications/System
License:       GPLv3+
URL:           https://github.com/matteocorti/check_updates
Source:        https://github.com/matteocorti/check_updates/releases/download/v%{version}/check_updates-%{version}.tar.gz
Patch0:	       check_updates-1.6.23-xcpng.patch

BuildRequires: perl-generators
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Install)
BuildRequires: perl(Monitoring::Plugin)
BuildRequires: perl(Readonly)

Requires:      nagios-plugins
Requires:      which
# Yum security plugin:
#   Fedora >= 19         : yum-plugin-security (is now provided by the yum package)
#   Fedora <= 18         : yum-plugin-security (yum-utils subpackage; also provides yum-security)
#   Red Hat Enterprise 6 : yum-plugin-security (yum-utils subpackage; also provides yum-security)
#   Red Hat Enterprise 5 : yum-security (yum-utils subpackage)
Requires:      yum-plugin-security
Requires:      perl(Monitoring::Plugin)

Obsoletes:     check_updates

%description
%{summary}.


%prep
%setup -q -n %{plugin}-%{version}
%patch0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor \
    INSTALLSCRIPT=%{nagiospluginsdir} \
    INSTALLVENDORSCRIPT=%{nagiospluginsdir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name "*.pod" -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} %{buildroot}/*

%check
make test


%files
%doc AUTHORS Changes NEWS README.md TODO COPYING COPYRIGHT
%{nagiospluginsdir}/*
%{_mandir}/man1/*.1*


%changelog
* Fri Apr 26 2019 Local OBS User <cs@linux-administrator.com>
- add check_updates-1.6.23-xcpng.patch
